pro crb_summary, cr

if n_elements(cr) eq 0 then cr=1929 
scr=strtrim(cr,2)
crbdir=concat_dir('/home/ftp/pub/weekdirs/crb/','cr'+ scr)

set_logenv,'path_http','/misc/diapason_www2/SXT'
crbwww=concat_dir('$path_http','crb')

hroot='crb'+ scr 

hdoc=concat_dir(crbwww,hroot+'.html')
gname=hroot+'.gif'

files=file_list(crbdir,'crb*.fits')
if files(0) eq '' then stop,'no files found'

prefix=str2arr('AM_256,AM_512,A1_256,A1_512')
lcolors=[4,5,7,9]
lpos=[.75,.8,.85,.9]

atimes=file2time(files,out='ints')

wdef,xx,1024,/zbuffer
linecolors
time_window,atimes,t0,t1, min=[-30,30]
plot_goes,t0,t1,back=11,/lo
for p=0,n_elements(prefix)-1 do begin 
   ss=wc_where(files,'*'+prefix(p)+'*',sscnt)
   if sscnt gt 0 then begin 
      evt_grid,atimes(ss),tickpos=lpos(p),ticklen=.03,color=lcolors(p),$
      labels=prefix(p), labcolor=lcolors(p), labpos=lpos(p) 
   endif

endfor

zbuff2file,concat_dir(crbwww,gname)

html_doc,hdoc,/header

file_append,hdoc,['SSC/FITS cadence plot for Carrington Rotation ' + scr,'<p>']

file_append,hdoc,strtab2html('<img src="'+gname+'">')
html_doc,hdoc,/trailer

return
end




