; ------------- set output directories -------------
topdir='/u1/sswarch/yoarch/crb/crb_4hr_cadence'         ;  top level YPOP 
dbdir='/home/sswdb/ydb/'
sscdir=concat_dir(topdir,'synssc')          ; SSC top level directory 
sdcdir=concat_dir(dbdir,'sdc')
sfcdir=concat_dir(dbdir,'sfc')           
syndir=concat_dir(dbdir,'synsfc')
set_logenv,'DIR_SXT_SDC',sdcdir             ; new TM SDC's dbase{
set_logenv,'DIR_SXT_SSC',sscdir              
set_logenv,'DIR_SXT_SFC',sfcdir             ; virginal SFC dbase
set_logenv,'DIR_SXT_SYNSFC',syndir
badlog='$HOME/ssc
; ---------------------------------------
delvarx,ss
; SS is used to make short/partial runs for fast infrastructure tests
; ------------------------------------------------------
; 

sfrs=''

for cr =1863,1958 do begin 
sscdir=(concat_dir(topdir,strtrim(cr,2)))(0)
if not file_exist(sscdir) then $
   spawn,['mkdir','-p',sscdir],/noshell

fitsdir=concat_dir(sscdir,'fits')
spawn,['mkdir','-p',fitsdir],/noshell

set_logenv,'DIR_SXT_SSC',sscdir

crt0=anytim(carr2ex(cr),/vms)
crt1=anytim(carr2ex(cr+1),/vms)
sfrs=''
t0=anytim(crt0,/date,/vms)
t1=anytim(reltime(crt1,days=1),/date,/vms)
days=timegrid(t0,t1,/day,/vms)

for j=0,n_elements(days)-1 do begin
   sfrs=cdrom_files(day=days(j) , /sfr, mag_disk='/u1/sswarch/yoarch/weekdirs/')
   if n_elements(sfrs) gt 1 then begin  
       box_message,['Working on day>> '+ days(j),sfrs]
;      
;       --------------- Use synthetic SFCsi ---------
       set_logenv,'sxt_syn_sfc','1'
       rd_roadmap,sfrs,rmap
       mk_sff_pair,rmap,ssl
       if ssl(0) ne -1 then begin 
       ssam=where(gt_filtb(rmap(ssl)) eq 3 and gt_res(rmap(ssl)) eq 1 $
          and (1-saa_in(rmap(ssl))),amcnt)

       ssa1=where(gt_filtb(rmap(ssl)) eq 2 and gt_res(rmap(ssl)) eq 1 $
          and (1-saa_in(rmap(ssl))),a1cnt)

       if amcnt gt 0 then gam=grid_data(rmap(ssl(ssam)),hours=6)
       if a1cnt gt 0 then ga1=grid_data(rmap(ssl(ssa1)),hours=6)
      
       case 1 of 
          a1cnt gt 0 and amcnt gt 0: $ 

       times=sort_index(rmap(ssl(ssa1(ga1))),$
                        rmap(ssl(ssam(gam))))
          a1cnt gt 0: times=rmap(ssl(ssa1(ga1)))
          amcnt gt 0: times=rmap(ssl(ssam(gam))) 
          else: 
       endcase
        if a1cnt gt 0 or amcnt gt 0 then begin 
        mk_ssc, outdir=get_logenv('DIR_SXT_SSC'), prefix='ssccrb', ifiles=sfrs, $
               times=times, /no_second, /synsfc 
    endif else box_message,'no composites iin all sfrs'
    endif else box_message,'No composites in all sfrs'
    endif else box_message,'No SFRS??'
endfor

box_message,'SSC complete, starting FITS conversion...'
sscs=file_list(sscdir,'ssc*')
outdir=fitsdir
for f=0,n_elements(sscs)-1 do begin 
   rd_roadmap,sscs(f),rmap
   for i=0,n_elements(rmap)-1 do begin 
      read_sxt,sscs(f),i,index,data
        sxt_decon,data,index=index,temp,/delta
       data=temporary(temp)
       sun_data = get_sun(index, sd=sd, he_lat=he_lat)
       index.solar_r = sd
        index.solar_b0 = he_lat
       prefix = 'crb_dc_'+strtrim(gt_filtb(index,/string,/short),2) + '_'   + $
           strtrim(gt_shape_cmd(index,/x,/string),2) + '_'
       mwritefits, index, data, outdir=fitsdir, prefix=prefix
   endfor
endfor

; send email notification
box_message,['FITS files for CR ' + strtrim(cr,2) + $
   ' completed at ' + systime(),'Host: ' + get_host(), $
   'Path: ' + fitsdir], btext=btext

mail,users=['freeland@lmsal.com','slater@lmsal.com'],$
/no_defsub, subj='FITS files for CR ' + strtrim(cr,2) + ' now online',$
btext


endfor

end
